package com.adealink.weparty.im.datasource.local

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.account.AccountModule
import com.adealink.weparty.storage.PREF_IM

object IMLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_IM, Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {
    var loginUserInfo : String by PrefKey("key_im_login_user_info", "")

}